Bug 1312633 - dnf builddep wont install 32bit versions when specified
dnf builddep wont install 32bit versions when specified
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-28 05:35 EST by Sam Tygier
Modified: 2016-08-15 08:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 14:44:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Tygier 2016-02-28 05:35:08 EST
Description of problem:
I am trying to build 32bit mesa from git on a 64bit F23 system and so need the 32bit build dependencies (i think).

If I run
dnf builddep mesa-libGL.i686
it tells me that the 64bit versions are all still installed.

There are some suggestions at https://unix.stackexchange.com/questions/226127/how-can-i-install-32-bit-dependencies-on-a-64-bit-machine-using-dnf-builddep but none of them work for me.
Comment 1 Honza Silhan 2016-02-29 07:54:44 EST
Thanks for the report. We'll fix this.
Comment 2 Igor Gnatenko 2016-04-25 07:50:36 EDT
Would be great to see what it tries to install and what is the problem.

P.S. if you need to build mesa 32bit on 64bit machine you probably want to use mock.

[ignatenko@ignatenko SPECS]$ sudo setarch i686 dnf builddep --best --allowerasing mesa-libGL.i686
enabling fedora-source repository
enabling updates-testing-source repository
enabling updates-source repository
Last metadata expiration check: 0:00:29 ago on Mon Apr 25 13:48:53 2016.
Package gettext-0.19.7-4.fc24.x86_64 is already installed, skipping.
Package libtool-2.4.6-10.fc24.x86_64 is already installed, skipping.
Package zlib-devel-1.2.8-10.fc24.x86_64 is already installed, skipping.
Package automake-1.15-6.fc24.noarch is already installed, skipping.
Package autoconf-2.69-22.fc24.noarch is already installed, skipping.
Package pkgconfig-1:0.29-2.fc24.x86_64 is already installed, skipping.
Package expat-devel-2.1.1-1.fc24.x86_64 is already installed, skipping.
Package python-2.7.11-4.fc24.x86_64 is already installed, skipping.
Package libselinux-devel-2.5-3.fc24.x86_64 is already installed, skipping.
Package git-core-2.7.4-1.fc24.x86_64 is already installed, skipping.
Package elfutils-0.166-2.fc24.x86_64 is already installed, skipping.
Package kernel-headers-4.5.2-300.fc24.x86_64 is already installed, skipping.
Package python-mako-1.0.3-2.fc24.noarch is already installed, skipping.
Dependencies resolved.
 Package                   Arch     Version                  Repository         Size
 audit-libs                i686     2.5.1-1.fc24             fedora             96 k
 bison                     i686     3.0.4-4.fc24             fedora            683 k
 bzip2-libs                i686     1.0.6-20.fc24            fedora             46 k
 cracklib                  i686     2.9.6-2.fc24             fedora             85 k
 cyrus-sasl-lib            i686     2.1.26-26.2.fc24         fedora            161 k
 dbus-libs                 i686     1:1.11.2-1.fc24          fedora            177 k
 elfutils                  i686     0.166-2.fc24             fedora            312 k
 elfutils-libelf           i686     0.166-2.fc24             fedora            221 k
 elfutils-libelf-devel     i686     0.166-2.fc24             fedora             45 k
 elfutils-libs             i686     0.166-2.fc24             fedora            298 k
 expat                     i686     2.1.1-1.fc24             updates-testing    94 k
 expat-devel               i686     2.1.1-1.fc24             updates-testing    62 k
 flex                      i686     2.5.39-4.fc24            fedora            313 k
 gdbm                      i686     1.11-7.fc24              fedora            139 k
 gettext                   i686     0.19.7-4.fc24            fedora            1.0 M
 gettext-libs              i686     0.19.7-4.fc24            fedora            514 k
 git-core                  i686     2.7.4-1.fc24             updates-testing   3.5 M
 gl-manpages               noarch   1.1-11.20140424.fc24     fedora            1.0 M
 glib2                     i686     2.48.0-1.fc24            fedora            2.2 M
 glibc                     i686     2.23.1-5.fc24            fedora            4.3 M
 imake                     i686     1.0.7-6.fc24             fedora            265 k
 keyutils-libs             i686     1.5.9-8.fc24             fedora             45 k
 krb5-libs                 i686     1.14.1-5.fc24            fedora            861 k
 libICE                    i686     1.0.9-5.fc24             fedora             70 k
 libICE-devel              i686     1.0.9-5.fc24             fedora             54 k
 libSM                     i686     1.2.2-4.fc24             fedora             43 k
 libSM-devel               i686     1.2.2-4.fc24             fedora             17 k
 libX11                    i686     1.6.3-3.fc24             fedora            616 k
 libX11-devel              i686     1.6.3-3.fc24             fedora            984 k
 libXau                    i686     1.0.8-6.fc24             fedora             34 k
 libXau-devel              i686     1.0.8-6.fc24             fedora             19 k
 libXdamage                i686     1.1.4-8.fc24             fedora             25 k
 libXdamage-devel          i686     1.1.4-8.fc24             fedora             14 k
 libXext                   i686     1.3.3-4.fc24             fedora             43 k
 libXext-devel             i686     1.3.3-4.fc24             fedora             79 k
 libXfixes                 i686     5.0.1-6.fc24             fedora             23 k
 libXfixes-devel           i686     5.0.1-6.fc24             fedora             18 k
 libXi                     i686     1.7.6-2.fc24             fedora             46 k
 libXi-devel               i686     1.7.6-2.fc24             fedora            109 k
 libXmu                    i686     1.1.2-4.fc24             fedora             75 k
 libXmu-devel              i686     1.1.2-4.fc24             fedora             28 k
 libXt                     i686     1.1.5-3.fc24             fedora            175 k
 libXt-devel               i686     1.1.5-3.fc24             fedora            450 k
 libXxf86vm                i686     1.1.4-3.fc24             fedora             22 k
 libXxf86vm-devel          i686     1.1.4-3.fc24             fedora             23 k
 libacl                    i686     2.2.52-11.fc24           fedora             32 k
 libattr                   i686     2.4.47-16.fc24           fedora             24 k
 libcap                    i686     2.24-9.fc24              fedora             53 k
 libcom_err                i686     1.42.13-4.fc24           fedora             45 k
 libcroco                  i686     0.6.11-2.fc24            fedora            110 k
 libcurl                   i686     7.47.1-4.fc24            fedora            270 k
 libdb                     i686     5.3.28-14.fc24           fedora            770 k
 libdrm                    i686     2.4.67-4.fc24            fedora            153 k
 libdrm-devel              i686     2.4.67-4.fc24            fedora            119 k
 libffi                    i686     3.1-9.fc24               fedora             34 k
 libgcc                    i686     6.0.0-0.20.fc24          fedora             90 k
 libgcrypt                 i686     1.6.4-2.fc24             fedora            355 k
 libgnome-keyring          i686     3.12.0-6.fc24            fedora            113 k
 libgomp                   i686     6.0.0-0.20.fc24          fedora            185 k
 libgpg-error              i686     1.21-2.fc24              fedora            159 k
 libidn                    i686     1.32-2.fc24              fedora            233 k
 libnghttp2                i686     1.7.1-1.fc24             fedora             70 k
 libomxil-bellagio         i686     0.9.3-12.fc24            fedora             83 k
 libomxil-bellagio-devel   i686     0.9.3-12.fc24            fedora             82 k
 libpciaccess              i686     0.13.4-3.fc24            fedora             32 k
 libpciaccess-devel        i686     0.13.4-3.fc24            fedora             18 k
 libpsl                    i686     0.13.0-1.fc24            fedora             45 k
 libseccomp                i686     2.3.1-0.fc24             updates-testing    58 k
 libselinux                i686     2.5-3.fc24               fedora            164 k
 libselinux-devel          i686     2.5-3.fc24               fedora            192 k
 libsepol                  i686     2.5-3.fc24               fedora            295 k
 libsepol-devel            i686     2.5-3.fc24               fedora             79 k
 libssh2                   i686     1.7.0-5.fc24             fedora             99 k
 libstdc++                 i686     6.0.0-0.20.fc24          fedora            455 k
 libstdc++-static          i686     6.0.0-0.20.fc24          fedora            623 k
 libtool                   i686     2.4.6-10.fc24            fedora            707 k
 libunistring              i686     0.9.4-3.fc24             fedora            324 k
 libuuid                   i686     2.28-1.fc24              fedora             80 k
 libva                     i686     1.7.0-1.fc24             fedora             85 k
 libva-devel               i686     1.7.0-1.fc24             fedora             74 k
 libvdpau                  i686     1.1.1-3.fc24             fedora             35 k
 libvdpau-devel            i686     1.1.1-3.fc24             fedora             46 k
 libverto                  i686     0.2.6-6.fc24             fedora             21 k
 libwayland-client         i686     1.10.0-1.fc24            fedora             33 k
 libwayland-client-devel   i686     1.10.0-1.fc24            fedora             35 k
 libwayland-server         i686     1.10.0-1.fc24            fedora             38 k
 libwayland-server-devel   i686     1.10.0-1.fc24            fedora             38 k
 libxcb                    i686     1.11.1-2.fc24            fedora            205 k
 libxcb-devel              i686     1.11.1-2.fc24            fedora            1.1 M
 libxml2                   i686     2.9.3-3.fc24             fedora            694 k
 libxshmfence              i686     1.2-3.fc24               fedora             12 k
 libxshmfence-devel        i686     1.2-3.fc24               fedora            9.8 k
 llvm                      i686     3.8.0-1.fc24             fedora            1.9 M
 llvm-devel                i686     3.8.0-1.fc24             fedora             13 M
 llvm-libs                 i686     3.8.0-1.fc24             fedora             11 M
 lz4                       i686     r131-2.fc24              fedora             86 k
 mesa-libEGL               i686     11.2.0-1.20160414.fc24   fedora            114 k
 mesa-libGL                i686     11.2.0-1.20160414.fc24   fedora            187 k
 mesa-libGL-devel          i686     11.2.0-1.20160414.fc24   fedora            165 k
 mesa-libgbm               i686     11.2.0-1.20160414.fc24   fedora             58 k
 mesa-libglapi             i686     11.2.0-1.20160414.fc24   fedora             75 k
 ncurses-libs              i686     6.0-5.20160116.fc24      fedora            306 k
 nspr                      i686     4.12.0-1.fc24            fedora            139 k
 nss                       i686     3.23.0-1.2.fc24          fedora            886 k
 nss-softokn               i686     3.23.0-1.0.fc24          fedora            334 k
 nss-softokn-freebl        i686     3.23.0-1.0.fc24          fedora            200 k
 nss-util                  i686     3.23.0-1.0.fc24          fedora             82 k
 openldap                  i686     2.4.43-3.fc24            fedora            347 k
 openssl-libs              i686     1:1.0.2g-3.fc24          fedora            1.0 M
 pam                       i686     1.2.1-5.fc24             fedora            734 k
 pcre                      i686     8.38-11.fc24             fedora            403 k
 pixman                    i686     0.34.0-2.fc24            fedora            264 k
 pixman-devel              i686     0.34.0-2.fc24            fedora             19 k
 pkgconfig                 i686     1:0.29-2.fc24            fedora             63 k
 python                    i686     2.7.11-4.fc24            fedora             96 k
 python-libs               i686     2.7.11-4.fc24            fedora            5.8 M
 python-libxml2            i686     2.9.3-3.fc24             fedora            225 k
 readline                  i686     6.3-8.fc24               fedora            202 k
 sqlite-libs               i686     3.11.0-3.fc24            fedora            468 k
 systemd-compat-libs       i686     229-7.fc24               fedora            157 k
 systemd-devel             i686     229-7.fc24               fedora            286 k
 systemd-libs              i686     229-7.fc24               fedora            481 k
 wayland-devel             i686     1.10.0-1.fc24            fedora             95 k
 xorg-x11-proto-devel      noarch   7.7-19.fc24              fedora            287 k
 xorg-x11-server-devel     i686     1.18.3-1.fc24            fedora            243 k
 xorg-x11-util-macros      noarch   1.19.0-5.fc24            fedora             55 k
 xz-libs                   i686     5.2.2-2.fc24             fedora             98 k
 zlib                      i686     1.2.8-10.fc24            fedora             98 k
 zlib-devel                i686     1.2.8-10.fc24            fedora             55 k
 kernel-headers            i686     4.5.2-301.fc24           fedora            1.0 M

Transaction Summary
Install  129 Packages
Upgrade    1 Package

Total download size: 69 M
Is this ok [y/N]: ^COperation aborted.
Comment 3 Fedora End Of Life 2016-07-19 14:44:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.